Skip to main content
GET
Fetches a set of filtered transactions allocations

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

accountId
string<uuid>
required

Account ID or subaccount ID (a UUID) to list allocations for.

Example:

"3486b413-93d3-4447-afce-2b9c9dc34a32"

Query Parameters

after
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

Minimum string length: 1
limit
integer<int64>
default:100

Maximum number of results to return per query

Required range: 1 <= x <= 1000
startDate
string<date-time>

The start date and time. The earliest valid value is 2017-01-01T00:00:00Z. Values must be in UTC RFC 3339 'date-time' format.

Example:

"2019-01-02T12:34:56.000Z"

endDate
string<date-time>

The end date and time. The earliest valid value is 2017-01-01T00:00:00Z. Values must be in UTC RFC 3339 'date-time' format.

Example:

"2019-01-02T12:34:56.000Z"

transactionsTypes
enum<string>[]

Filters by DEPOSITs, WITHDRAWALs or both (default)

Available options:
DEPOSIT,
WITHDRAWAL

Response

A list of transactions

data
Transaction · object[]
required
page
Page · object
required

Pagination info